Part of the response of GET /search, GET /products/{productId} and POST /lines/lookup.

Type: object or null

Example

Schema example: from the GET /products/{productId} response
{
  "imageSource": "catalog",
  "conditionSource": "seller_declared",
  "authenticitySource": "seller_attestation",
  "snapcasterInspected": false,
  "snapcasterGraded": false,
  "snapcasterAuthenticated": false,
  "gradingStandard": "snapcaster-magic-v1",
  "declaredGrade": "Near Mint",
  "buyerProtection": "magic-grade-and-authenticity"
}

Fields

imageSource string required

Constraints: allowed values: catalog Example catalog

conditionSource string required

Constraints: allowed values: seller_declared Example seller_declared

authenticitySource string required

Constraints: allowed values: seller_attestation Example seller_attestation

snapcasterInspected boolean required

Constraints: allowed values: false Example false

snapcasterGraded boolean required

Constraints: allowed values: false Example false

snapcasterAuthenticated boolean required

Constraints: allowed values: false Example false

gradingStandard string required

Constraints: allowed values: snapcaster-magic-v1, seller-declared-no-specialist-promise Example snapcaster-magic-v1

declaredGrade string or null required

Example Near Mint

buyerProtection string required

Constraints: allowed values: magic-grade-and-authenticity, genuine-and-as-described Example magic-grade-and-authenticity

Used by